> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# asana-users-teams

> Asana Users & Teams — manage users, teams, team memberships, workspaces, workspace memberships, and user task lists

**Server path:** `/asana-users-teams` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                      | Description                                    |
| ------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------- |
| [`asana_users_teams_add_user_for_team`](#asana_users_teams_add_user_for_team)                                             | Add a user to a team                           |
| [`asana_users_teams_add_user_for_workspace`](#asana_users_teams_add_user_for_workspace)                                   | Add a user to a workspace or organization      |
| [`asana_users_teams_create_membership`](#asana_users_teams_create_membership)                                             | Create a membership                            |
| [`asana_users_teams_create_team`](#asana_users_teams_create_team)                                                         | Create a team                                  |
| [`asana_users_teams_delete_membership`](#asana_users_teams_delete_membership)                                             | Delete a membership                            |
| [`asana_users_teams_get_favorites_for_user`](#asana_users_teams_get_favorites_for_user)                                   | Get a user's favorites                         |
| [`asana_users_teams_get_for_team`](#asana_users_teams_get_for_team)                                                       | Get users in a team                            |
| [`asana_users_teams_get_for_user`](#asana_users_teams_get_for_user)                                                       | Get teams for a user                           |
| [`asana_users_teams_get_for_workspace`](#asana_users_teams_get_for_workspace)                                             | Get users in a workspace or organization       |
| [`asana_users_teams_get_for_workspace`](#asana_users_teams_get_for_workspace)                                             | Get teams in a workspace                       |
| [`asana_users_teams_get_membership`](#asana_users_teams_get_membership)                                                   | Get a membership                               |
| [`asana_users_teams_get_memberships`](#asana_users_teams_get_memberships)                                                 | Get multiple memberships                       |
| [`asana_users_teams_get_team`](#asana_users_teams_get_team)                                                               | Get a team                                     |
| [`asana_users_teams_get_team_membership`](#asana_users_teams_get_team_membership)                                         | Get a team membership                          |
| [`asana_users_teams_get_team_memberships`](#asana_users_teams_get_team_memberships)                                       | Get team memberships                           |
| [`asana_users_teams_get_team_memberships_for_team`](#asana_users_teams_get_team_memberships_for_team)                     | Get memberships from a team                    |
| [`asana_users_teams_get_team_memberships_for_user`](#asana_users_teams_get_team_memberships_for_user)                     | Get memberships from a user                    |
| [`asana_users_teams_get_user`](#asana_users_teams_get_user)                                                               | Get a user                                     |
| [`asana_users_teams_get_user_for_workspace`](#asana_users_teams_get_user_for_workspace)                                   | Get a user in a workspace or organization      |
| [`asana_users_teams_get_user_task_list`](#asana_users_teams_get_user_task_list)                                           | Get a user task list                           |
| [`asana_users_teams_get_user_task_list_for_user`](#asana_users_teams_get_user_task_list_for_user)                         | Get a user's task list                         |
| [`asana_users_teams_get_users`](#asana_users_teams_get_users)                                                             | Get multiple users                             |
| [`asana_users_teams_get_workspace`](#asana_users_teams_get_workspace)                                                     | Get a workspace                                |
| [`asana_users_teams_get_workspace_events`](#asana_users_teams_get_workspace_events)                                       | Get workspace events                           |
| [`asana_users_teams_get_workspace_membership`](#asana_users_teams_get_workspace_membership)                               | Get a workspace membership                     |
| [`asana_users_teams_get_workspace_memberships_for_user`](#asana_users_teams_get_workspace_memberships_for_user)           | Get workspace memberships for a user           |
| [`asana_users_teams_get_workspace_memberships_for_workspace`](#asana_users_teams_get_workspace_memberships_for_workspace) | Get the workspace memberships for a workspace  |
| [`asana_users_teams_get_workspace_teams`](#asana_users_teams_get_workspace_teams)                                         | Get teams in a workspace                       |
| [`asana_users_teams_get_workspace_users`](#asana_users_teams_get_workspace_users)                                         | Get users in a workspace or organization       |
| [`asana_users_teams_get_workspaces`](#asana_users_teams_get_workspaces)                                                   | Get multiple workspaces                        |
| [`asana_users_teams_remove_user_for_team`](#asana_users_teams_remove_user_for_team)                                       | Remove a user from a team                      |
| [`asana_users_teams_remove_user_for_workspace`](#asana_users_teams_remove_user_for_workspace)                             | Remove a user from a workspace or organization |
| [`asana_users_teams_typeahead_for_workspace`](#asana_users_teams_typeahead_for_workspace)                                 | Get objects via typeahead                      |
| [`asana_users_teams_update_membership`](#asana_users_teams_update_membership)                                             | Update a membership                            |
| [`asana_users_teams_update_team`](#asana_users_teams_update_team)                                                         | Update a team                                  |
| [`asana_users_teams_update_user`](#asana_users_teams_update_user)                                                         | Update a user                                  |
| [`asana_users_teams_update_user_for_workspace`](#asana_users_teams_update_user_for_workspace)                             | Update a user in a workspace or organization   |
| [`asana_users_teams_update_workspace`](#asana_users_teams_update_workspace)                                               | Update a workspace                             |

***

## asana\_users\_teams\_add\_user\_for\_team

Add a user to a team

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `team_gid`   | string    | Yes      | —       | Globally unique identifier for the team.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | A user identification object for specification with the addUser/removeUser endpoints.                                                                                                                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "team_gid": {
        "type": "string",
        "description": "Globally unique identifier for the team."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "is_admin",
            "is_guest",
            "is_limited_access",
            "team",
            "team.name",
            "user",
            "user.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "A user identification object for specification with the addUser/removeUser endpoints.",
        "properties": {
          "user": {
            "type": "string",
            "description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
          }
        }
      }
    },
    "required": [
      "PCID",
      "team_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_add\_user\_for\_workspace

Add a user to a workspace or organization

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `workspace_gid` | string    | Yes      | —       | Globally unique identifier for the workspace or organization.                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`          | object    | No       | —       | A user identification object for specification with the addUser/removeUser endpoints.                                                                                                                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "workspace_gid": {
        "type": "string",
        "description": "Globally unique identifier for the workspace or organization."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "email",
            "name",
            "photo",
            "photo.image_1024x1024",
            "photo.image_128x128",
            "photo.image_21x21",
            "photo.image_27x27",
            "photo.image_36x36",
            "photo.image_60x60"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "A user identification object for specification with the addUser/removeUser endpoints.",
        "properties": {
          "user": {
            "type": "string",
            "description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
          }
        }
      }
    },
    "required": [
      "PCID",
      "workspace_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_create\_membership

Create a membership

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`       | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_create\_team

Create a team

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "description",
            "edit_team_name_or_description_access_level",
            "edit_team_visibility_or_trash_team_access_level",
            "endorsed",
            "guest_invite_management_access_level",
            "html_description",
            "join_request_management_access_level",
            "member_invite_management_access_level",
            "name",
            "organization",
            "organization.name",
            "permalink_url",
            "team_content_management_access_level",
            "team_member_removal_access_level",
            "visibility"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_delete\_membership

Delete a membership

**Parameters:**

| Parameter        | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ---------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `membership_gid` | string  | Yes      | —       | Globally unique identifier for the membership.                                                                                                                                                                                                                                      |
| `opt_pretty`     | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "membership_gid": {
        "type": "string",
        "description": "Globally unique identifier for the membership."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "membership_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_favorites\_for\_user

Get a user's favorites

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| --------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `user_gid`      | string    | Yes      | —       | A string identifying a user. This can either be the string "me", an email, or the gid of a user.                                                                                                                                                                                                                                                               |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`         | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`        | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `resource_type` | string    | Yes      | —       | The resource type of favorites to be returned.                                                                                                                                                                                                                                                                                                                 |
| `workspace`     | string    | Yes      | —       | The workspace in which to get favorites.                                                                                                                                                                                                                                                                                                                       |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "user_gid": {
        "type": "string",
        "description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "resource_type": {
        "type": "string",
        "description": "The resource type of favorites to be returned.",
        "enum": [
          "portfolio",
          "project",
          "tag",
          "task",
          "user",
          "project_template"
        ]
      },
      "workspace": {
        "type": "string",
        "description": "The workspace in which to get favorites."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "name",
            "offset",
            "path",
            "uri"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "user_gid",
      "resource_type",
      "workspace"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_for\_team

Get users in a team

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `team_gid`   | string    | Yes      | —       | Globally unique identifier for the team.                                                                                                                                                                                                                                                                                                                       |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "team_gid": {
        "type": "string",
        "description": "Globally unique identifier for the team."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "email",
            "name",
            "photo",
            "photo.image_1024x1024",
            "photo.image_128x128",
            "photo.image_21x21",
            "photo.image_27x27",
            "photo.image_36x36",
            "photo.image_60x60",
            "workspaces",
            "workspaces.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "team_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_for\_user

Get teams for a user

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| -------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `user_gid`     | string    | Yes      | —       | A string identifying a user. This can either be the string "me", an email, or the gid of a user.                                                                                                                                                                                                                                                               |
| `opt_pretty`   | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`        | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`       | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `organization` | string    | Yes      | —       | The workspace or organization to filter teams on.                                                                                                                                                                                                                                                                                                              |
| `opt_fields`   | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "user_gid": {
        "type": "string",
        "description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "organization": {
        "type": "string",
        "description": "The workspace or organization to filter teams on."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "description",
            "edit_team_name_or_description_access_level",
            "edit_team_visibility_or_trash_team_access_level",
            "endorsed",
            "guest_invite_management_access_level",
            "html_description",
            "join_request_management_access_level",
            "member_invite_management_access_level",
            "name",
            "offset",
            "organization",
            "organization.name",
            "path",
            "permalink_url",
            "team_content_management_access_level",
            "team_member_removal_access_level",
            "uri",
            "visibility"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "user_gid",
      "organization"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_for\_workspace

Get users in a workspace or organization

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| --------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `workspace_gid` | string  | Yes      | —       | Globally unique identifier for the workspace or organization.                                                                                                                                                                                                                                                                                                  |
| `opt_pretty`    | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `offset`        | string  | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`    | any\[]  | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "workspace_gid": {
        "type": "string",
        "description": "Globally unique identifier for the workspace or organization."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "workspace_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_for\_workspace

Get teams in a workspace

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| --------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `workspace_gid` | string  | Yes      | —       | Globally unique identifier for the workspace or organization.                                                                                                                                                                                                                                                                                                  |
| `opt_pretty`    | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`         | integer | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`        | string  | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`    | any\[]  | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "workspace_gid": {
        "type": "string",
        "description": "Globally unique identifier for the workspace or organization."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "workspace_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_membership

Get a membership

**Parameters:**

| Parameter        | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ---------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `membership_gid` | string  | Yes      | —       | Globally unique identifier for the membership.                                                                                                                                                                                                                                      |
| `opt_pretty`     | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "membership_gid": {
        "type": "string",
        "description": "Globally unique identifier for the membership."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "membership_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_memberships

Get multiple memberships

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty`       | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `parent`           | string    | No       | —       | Globally unique identifier for `goal`, `project`, `portfolio`, `custom_type`, or `custom_field`. This parameter is optional when `resource_subtype` is provided along with `member`.                                                                                                                                                                           |
| `member`           | string    | No       | —       | Globally unique identifier for `team` or `user`. When used with `resource_subtype` and without `parent`, returns all memberships of the specified subtype for this member.                                                                                                                                                                                     |
| `resource_subtype` | string    | No       | —       | The type of membership to return. Required when `parent` is absent. Currently supported value is `project_membership` (when `member` is a team GID, returns all project memberships for that team).                                                                                                                                                            |
| `limit`            | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`           | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`       | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "parent": {
        "type": "string",
        "description": "Globally unique identifier for `goal`, `project`, `portfolio`, `custom_type`, or `custom_field`. This parameter is optional when `resource_subtype` is provided along with `member`."
      },
      "member": {
        "type": "string",
        "description": "Globally unique identifier for `team` or `user`. When used with `resource_subtype` and without `parent`, returns all memberships of the specified subtype for this member."
      },
      "resource_subtype": {
        "type": "string",
        "description": "The type of membership to return. Required when `parent` is absent. Currently supported value is `project_membership` (when `member` is a team GID, returns all project memberships for that team).",
        "enum": [
          "project_membership"
        ]
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "offset",
            "path",
            "uri"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_team

Get a team

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `team_gid`   | string    | Yes      | —       | Globally unique identifier for the team.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "team_gid": {
        "type": "string",
        "description": "Globally unique identifier for the team."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "description",
            "edit_team_name_or_description_access_level",
            "edit_team_visibility_or_trash_team_access_level",
            "endorsed",
            "guest_invite_management_access_level",
            "html_description",
            "join_request_management_access_level",
            "member_invite_management_access_level",
            "name",
            "organization",
            "organization.name",
            "permalink_url",
            "team_content_management_access_level",
            "team_member_removal_access_level",
            "visibility"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "team_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_team\_membership

Get a team membership

**Parameters:**

| Parameter             | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `team_membership_gid` | string    | Yes      | —       | Team Membership Gid                                                                                                                                                                                                                                                                 |
| `opt_pretty`          | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`          | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "team_membership_gid": {
        "type": "string",
        "description": "Team Membership Gid"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "is_admin",
            "is_guest",
            "is_limited_access",
            "team",
            "team.name",
            "user",
            "user.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "team_membership_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_team\_memberships

Get team memberships

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `team`       | string    | No       | —       | Globally unique identifier for the team.                                                                                                                                                                                                                                                                                                                       |
| `user`       | string    | No       | —       | A string identifying a user. This can either be the string "me", an email, or the gid of a user. This parameter must be used with the workspace parameter.                                                                                                                                                                                                     |
| `workspace`  | string    | No       | —       | Globally unique identifier for the workspace. This parameter must be used with the user parameter.                                                                                                                                                                                                                                                             |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "team": {
        "type": "string",
        "description": "Globally unique identifier for the team."
      },
      "user": {
        "type": "string",
        "description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user. This parameter must be used with the workspace parameter."
      },
      "workspace": {
        "type": "string",
        "description": "Globally unique identifier for the workspace. This parameter must be used with the user parameter."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "is_admin",
            "is_guest",
            "is_limited_access",
            "offset",
            "path",
            "team",
            "team.name",
            "uri",
            "user",
            "user.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_team\_memberships\_for\_team

Get memberships from a team

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `team_gid`   | string    | Yes      | —       | Globally unique identifier for the team.                                                                                                                                                                                                                                                                                                                       |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "team_gid": {
        "type": "string",
        "description": "Globally unique identifier for the team."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "is_admin",
            "is_guest",
            "is_limited_access",
            "offset",
            "path",
            "team",
            "team.name",
            "uri",
            "user",
            "user.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "team_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_team\_memberships\_for\_user

Get memberships from a user

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `user_gid`   | string    | Yes      | —       | A string identifying a user. This can either be the string "me", an email, or the gid of a user.                                                                                                                                                                                                                                                               |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `workspace`  | string    | Yes      | —       | Globally unique identifier for the workspace.                                                                                                                                                                                                                                                                                                                  |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "user_gid": {
        "type": "string",
        "description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "workspace": {
        "type": "string",
        "description": "Globally unique identifier for the workspace."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "is_admin",
            "is_guest",
            "is_limited_access",
            "offset",
            "path",
            "team",
            "team.name",
            "uri",
            "user",
            "user.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "user_gid",
      "workspace"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_user

Get a user

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `user_gid`   | string    | Yes      | —       | A string identifying a user. This can either be the string "me", an email, or the gid of a user.                                                                                                                                                                                    |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `workspace`  | string    | No       | —       | The workspace to filter results on.                                                                                                                                                                                                                                                 |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "user_gid": {
        "type": "string",
        "description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "workspace": {
        "type": "string",
        "description": "The workspace to filter results on."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "email",
            "name",
            "photo",
            "photo.image_1024x1024",
            "photo.image_128x128",
            "photo.image_21x21",
            "photo.image_27x27",
            "photo.image_36x36",
            "photo.image_60x60",
            "workspaces",
            "workspaces.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "user_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_users\_teams\_get\_user\_for\_workspace

Get a user in a workspace or organization

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `workspace_gid` | string    | Yes      | —       | Globally unique identifier for the workspace or organization.                                                                                                                                                                                                                       |
| `user_gid`      | string    | Yes      | —       | A string identifying a user. This can either be the string "me", an email, or the gid of a user.                                                                                                                                                                                    |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "workspace_gid": {
        "type": "string",
        "description": "Globally unique identifier for the workspace or organization."
      },
      "user_gid": {
        "type": "string",
        "description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "email",
            "name",
            "photo",
            "photo.image_1024x1024",
            "photo.image_128x128",
            "photo.image_21x21",
            "photo.image_27x27",
[...]
